package vip.xiaonuo.modular.ai.taskInspection.entity.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.time.LocalDateTime;
import java.util.Date;

@Data
public class TaskInspectionPageVo {

    @ApiModelProperty(value = "id", position = 1)
    private String id;

    @ApiModelProperty(value = "预警类型", position = 2)
    private String warningType;

    @ApiModelProperty(value = "触发位置", position = 3)
    private String unitName;

    @ApiModelProperty(value = "预警内容", position = 4)
    private String warningContent;

    @ApiModelProperty(value = "创建时间", position = 5)
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss" ,timezone = "GMT+8")
    private Date createTime;

    @ApiModelProperty(value = "巡检时间", position = 6)
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss" ,timezone = "GMT+8")
    private Date inspectTime;

    @ApiModelProperty(value = "巡检人名", position = 7)
    private String userName;

    @ApiModelProperty(value = "问题描述", position = 8)
    private String description;

    @ApiModelProperty(value = "问题照片", position = 9)
    private String imgUrl;

    /** 状态 0:待处理 1:已完成 */
    @ApiModelProperty(value = "状态 0:待处理 1:已完成", position = 10)
    private Integer status;
}
