package vip.xiaonuo.modular.energy.energyWater.entity.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.sql.Date;
import java.time.LocalDateTime;

@Data
public class EnergyWaterListVo {
    @ApiModelProperty(value = "用水量", position = 1)
    private BigDecimal waterValue;

    @ApiModelProperty(value = "创建时间", position = 2)
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss" ,timezone = "GMT+8")
    private LocalDateTime createTime;

}
