package vip.xiaonuo.modular.env.envdata.param;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import vip.xiaonuo.core.param.OrgIdParam;

import javax.validation.constraints.NotBlank;
import java.math.BigDecimal;

@Data
public class EnvDataAddParm extends OrgIdParam {

    @ApiModelProperty(value = "栋舍ID", required = true, position = 1)
    @NotBlank(message = "栋舍ID不能为空")
    private String pigpenId;

    @ApiModelProperty(value = "温度", required = true, position = 2)
    private BigDecimal tem;

    @ApiModelProperty(value = "湿度", required = true, position = 3)
    private BigDecimal hum;

}
