package vip.xiaonuo.modular.warning.warningManager.param;

import com.baomidou.mybatisplus.annotation.TableField;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;

@Data
public class WarningManagerSaveParam extends WarningManagerOrgIdParam{
    @ApiModelProperty(value = "一级负责人，以&comma;分割", position = 1)
    private String firstManagerId;

    @ApiModelProperty(value = "二级负责人，以&comma;分割", position = 2)
    private String secondManagerId;

    @ApiModelProperty(value = "预警升级时间 ", position = 3)
    private Integer warningUpgradeTime;

    @ApiModelProperty(value = "预警类型 0:环控 1:能耗 ", position = 4)
    private Integer type;
}
