package vip.xiaonuo.modular.feed.feedingthreshold.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
public class FeedingThresholdVo {

    /**
     * 采食上限
     */
    /** 采食上限 */
    @ApiModelProperty(value = "采食上限", position = 4)
    private String feedUpper;

    /**
     * 采食下限
     */
    @ApiModelProperty(value = "采食下限", position = 5)
    private String feedLower;

    /**
     * 饮水上限
     */
    @ApiModelProperty(value = "饮水上限", position = 6)
    private String waterUpper;

    /**
     * 饮水下限
     */
    @ApiModelProperty(value = "饮水下限", position = 7)
    private String waterLower;

    /**
     * 肥猪采食上限
     */
    @ApiModelProperty(value = "肥猪采食上限", position = 12)
    private String fatFeedUpper;

    /**
     * 肥猪采食下限
     */
    @ApiModelProperty(value = "肥猪采食下限", position = 13)
    private String fatFeedLower;

    /**
     * 肥猪饮水上限
     */
    @ApiModelProperty(value = "肥猪饮水上限", position = 14)
    private String fatWaterUpper;

    /**
     * 肥猪饮水下限
     */
    @ApiModelProperty(value = "肥猪饮水下限", position = 15)
    private String fatWaterLower;

    /**/

    @ApiModelProperty(value = "阈值类型  1猪只 2为料塔", position = 2)
    private Integer thresholdType;
}
